# Create your views here.
from django.shortcuts import render_to_response
from ox.django.shortcuts import render_to_json_response
from bingapi import bingapi
from settings import LIVE_APP_ID

def index(request):
    return render_to_response("home.html", {})

def search(request):
    q = request.GET.get("q", "")
    if q == '':
        return render_to_json_response({'error': 'empty search'})
    bing = bingapi.Bing(LIVE_APP_ID)
    results = bing.do_image_search(q)
    images = results['SearchResponse']['Image']['Results']
    return render_to_json_response(images)
